XnSkeletonJointOrientation Struct Reference

`#include <XnTypes.h>`

## Public Attributes

XnMatrix3X3 | orientation
XnConfidence | fConfidence

## Detailed Description

Orientation of a specific joint. A joint orientation is described by its actual rotation and the confidence we have in that rotation The first column is the X orientation, where the value increases from left to right. The second column is the Y orientation, where the value increases from bottom to top. The third column is the Z orientation, where the value increases from near to far.

## Member Data Documentation

## fConfidence

XnConfidence XnSkeletonJointOrientation::fConfidence

The confidence in the orientation

## orientation

XnMatrix3X3 XnSkeletonJointOrientation::orientation

The actual orientation

The documentation for this struct was generated from the following file:

- XnTypes.h